﻿/*
Deployment script for EasyBox_Application_DB_v142

This code was generated by a tool.
Changes to this file may cause incorrect behavior and will be lost if
the code is regenerated.
*/

GO
SET ANSI_NULLS, ANSI_PADDING, ANSI_WARNINGS, ARITHABORT, CONCAT_NULL_YIELDS_NULL, QUOTED_IDENTIFIER ON;

SET NUMERIC_ROUNDABORT OFF;


GO
:setvar DatabaseName "EasyBox_Application_DB"

GO
:on error exit
GO
/*
Detect SQLCMD mode and disable script execution if SQLCMD mode is not supported.
To re-enable the script after enabling SQLCMD mode, execute the following:
SET NOEXEC OFF; 
*/
:setvar __IsSqlCmdEnabled "True"
GO
IF N'$(__IsSqlCmdEnabled)' NOT LIKE N'True'
    BEGIN
        PRINT N'SQLCMD mode must be enabled to successfully execute this script.';
        SET NOEXEC ON;
    END


GO
USE [master];


GO

IF (DB_ID(N'$(DatabaseName)') IS NOT NULL) 
BEGIN
    ALTER DATABASE [$(DatabaseName)]
    SET SINGLE_USER WITH ROLLBACK IMMEDIATE;
    DROP DATABASE [$(DatabaseName)];
END

GO
PRINT N'Creating $(DatabaseName)...'
GO
CREATE DATABASE [$(DatabaseName)]
GO

IF EXISTS (SELECT 1
           FROM   [master].[dbo].[sysdatabases]
           WHERE  [name] = N'$(DatabaseName)')
    BEGIN
        ALTER DATABASE [$(DatabaseName)]
            SET ANSI_NULLS ON,
                ANSI_PADDING ON,
                ANSI_WARNINGS ON,
                ARITHABORT ON,
                CONCAT_NULL_YIELDS_NULL ON,
                NUMERIC_ROUNDABORT OFF,
                QUOTED_IDENTIFIER ON,
                ANSI_NULL_DEFAULT ON,
                CURSOR_DEFAULT LOCAL,
                RECOVERY FULL,
                CURSOR_CLOSE_ON_COMMIT ON,
                AUTO_CREATE_STATISTICS ON,
                AUTO_SHRINK OFF,
                AUTO_UPDATE_STATISTICS ON,
                RECURSIVE_TRIGGERS OFF 
            WITH ROLLBACK IMMEDIATE;
        ALTER DATABASE [$(DatabaseName)]
            SET AUTO_CLOSE OFF 
            WITH ROLLBACK IMMEDIATE;
    END


GO
IF EXISTS (SELECT 1
           FROM   [master].[dbo].[sysdatabases]
           WHERE  [name] = N'$(DatabaseName)')
    BEGIN
        ALTER DATABASE [$(DatabaseName)]
            SET ALLOW_SNAPSHOT_ISOLATION OFF;
    END


GO
IF EXISTS (SELECT 1
           FROM   [master].[dbo].[sysdatabases]
           WHERE  [name] = N'$(DatabaseName)')
    BEGIN
        ALTER DATABASE [$(DatabaseName)]
            SET READ_COMMITTED_SNAPSHOT OFF 
            WITH ROLLBACK IMMEDIATE;
    END


GO
IF EXISTS (SELECT 1
           FROM   [master].[dbo].[sysdatabases]
           WHERE  [name] = N'$(DatabaseName)')
    BEGIN
        ALTER DATABASE [$(DatabaseName)]
            SET AUTO_UPDATE_STATISTICS_ASYNC OFF,
                PAGE_VERIFY NONE,
                DATE_CORRELATION_OPTIMIZATION OFF,
                DISABLE_BROKER,
                PARAMETERIZATION SIMPLE,
                SUPPLEMENTAL_LOGGING OFF 
            WITH ROLLBACK IMMEDIATE;
    END


GO
IF IS_SRVROLEMEMBER(N'sysadmin') = 1
    BEGIN
        IF EXISTS (SELECT 1
                   FROM   [master].[dbo].[sysdatabases]
                   WHERE  [name] = N'$(DatabaseName)')
            BEGIN
                EXECUTE sp_executesql N'ALTER DATABASE [$(DatabaseName)]
    SET TRUSTWORTHY OFF,
        DB_CHAINING OFF 
    WITH ROLLBACK IMMEDIATE';
            END
    END
ELSE
    BEGIN
        PRINT N'The database settings cannot be modified. You must be a SysAdmin to apply these settings.';
    END


GO
IF IS_SRVROLEMEMBER(N'sysadmin') = 1
    BEGIN
        IF EXISTS (SELECT 1
                   FROM   [master].[dbo].[sysdatabases]
                   WHERE  [name] = N'$(DatabaseName)')
            BEGIN
                EXECUTE sp_executesql N'ALTER DATABASE [$(DatabaseName)]
    SET HONOR_BROKER_PRIORITY OFF 
    WITH ROLLBACK IMMEDIATE';
            END
    END
ELSE
    BEGIN
        PRINT N'The database settings cannot be modified. You must be a SysAdmin to apply these settings.';
    END


GO
USE [$(DatabaseName)];


GO
IF fulltextserviceproperty(N'IsFulltextInstalled') = 1
    EXECUTE sp_fulltext_database 'enable';


GO
PRINT N'Creating [EasyBoxDefaultCatalog]...';


GO
CREATE FULLTEXT CATALOG [EasyBoxDefaultCatalog]
    WITH ACCENT_SENSITIVITY = ON
    AS DEFAULT
    AUTHORIZATION [dbo];


GO
PRINT N'Creating [dbo].[ClientInformation]...';


GO
CREATE TABLE [dbo].[ClientInformation] (
    [Id]   UNIQUEIDENTIFIER NOT NULL,
    [Name] NVARCHAR (255)   NOT NULL,
    CONSTRAINT [PK_ClientInformation] PRIMARY KEY CLUSTERED ([Id] ASC)
);


GO
PRINT N'Creating [dbo].[DeliveryReport]...';


GO
CREATE TABLE [dbo].[DeliveryReport] (
    [Id]           INT           IDENTITY (1, 1) NOT NULL,
    [UserId]       INT           NOT NULL,
    [MessageId]    INT           NOT NULL,
    [AttachmentId] INT           NULL,
    [Opened]       SMALLDATETIME NULL,
    CONSTRAINT [PK_DeliveryReport] PRIMARY KEY CLUSTERED ([Id] ASC)
);


GO
PRINT N'Creating [dbo].[DistributionList]...';


GO
CREATE TABLE [dbo].[DistributionList] (
    [Id] INT NOT NULL,
    CONSTRAINT [PK_DistributionList] PRIMARY KEY CLUSTERED ([Id] ASC)
);


GO
PRINT N'Creating [dbo].[DistributionListConfiguration]...';


GO
CREATE TABLE [dbo].[DistributionListConfiguration] (
    [Id]                                     INT              IDENTITY (1, 1) NOT NULL,
    [ClientId]                               UNIQUEIDENTIFIER NOT NULL,
    [AreUserDefinedDistributionListsEnabled] BIT              NOT NULL,
    [ModifiedById]                           INT              NULL,
    [EffectiveDateTime]                      SMALLDATETIME    NOT NULL,
    [ExpiryDateTime]                         SMALLDATETIME    NOT NULL,
    [Version]                                ROWVERSION       NOT NULL,
    CONSTRAINT [PK_DistributionListConfiguration] PRIMARY KEY CLUSTERED ([Id] ASC)
);


GO
PRINT N'Creating [dbo].[DistributionListMember]...';


GO
CREATE TABLE [dbo].[DistributionListMember] (
    [Id]                 INT           IDENTITY (1, 1) NOT NULL,
    [UserId]             INT           NOT NULL,
    [DistributionListId] INT           NOT NULL,
    [ModifiedById]       INT           NOT NULL,
    [EffectiveDateTime]  SMALLDATETIME NOT NULL,
    [ExpiryDateTime]     SMALLDATETIME NOT NULL,
    [Version]            ROWVERSION    NOT NULL,
    CONSTRAINT [PK_DistributionListMember] PRIMARY KEY CLUSTERED ([Id] ASC)
);


GO
PRINT N'Creating [dbo].[DistributionListType]...';


GO
CREATE TABLE [dbo].[DistributionListType] (
    [Id]          INT          IDENTITY (1, 1) NOT NULL,
    [Description] VARCHAR (50) NULL,
    CONSTRAINT [PK_DistributionListType] PRIMARY KEY NONCLUSTERED ([Id] ASC),
    CONSTRAINT [UX_DistributionListType_Description] UNIQUE CLUSTERED ([Description] ASC)
);


GO
PRINT N'Creating [dbo].[Folder]...';


GO
CREATE TABLE [dbo].[Folder] (
    [Id] INT IDENTITY (1, 1) NOT NULL,
    CONSTRAINT [PK_Folder] PRIMARY KEY CLUSTERED ([Id] ASC)
);


GO
PRINT N'Creating [dbo].[FolderTemporal]...';


GO
CREATE TABLE [dbo].[FolderTemporal] (
    [Id]            INT            IDENTITY (1, 1) NOT NULL,
    [FolderId]      INT            NOT NULL,
    [OwnerId]       INT            NOT NULL,
    [CanDelete]     BIT            NOT NULL,
    [Name]          VARCHAR (100)  NOT NULL,
    [Description]   VARCHAR (1000) NULL,
    [ModifiedById]  INT            NULL,
    [EffectiveTime] SMALLDATETIME  NOT NULL,
    [ExpiryTime]    SMALLDATETIME  NOT NULL,
    [Version]       ROWVERSION     NOT NULL,
    CONSTRAINT [PK_FolderTemporal] PRIMARY KEY CLUSTERED ([Id] ASC)
);


GO
PRINT N'Creating [dbo].[GeneralConfiguration]...';


GO
CREATE TABLE [dbo].[GeneralConfiguration] (
    [Id]                      INT              IDENTITY (1, 1) NOT NULL,
    [ClientId]                UNIQUEIDENTIFIER NOT NULL,
    [DefaultEasyBoxPath]      VARCHAR (400)    NOT NULL,
    [IsBodyEncryptionEnabled] BIT              NOT NULL,
    [ModifiedById]            INT              NULL,
    [EffectiveDateTime]       SMALLDATETIME    NOT NULL,
    [ExpiryDateTime]          SMALLDATETIME    NOT NULL,
    [Version]                 ROWVERSION       NOT NULL,
    CONSTRAINT [PK_GeneralConfiguration] PRIMARY KEY CLUSTERED ([Id] ASC)
);


GO
PRINT N'Creating [dbo].[Message]...';


GO
CREATE TABLE [dbo].[Message] (
    [Id]           INT           IDENTITY (1, 1) NOT NULL,
    [SenderId]     INT           NOT NULL,
    [IsDraft]      BIT           NOT NULL,
    [IsImportant]  BIT           NULL,
    [Subject]      VARCHAR (200) NULL,
    [Body]         VARCHAR (MAX) NULL,
    [LastModified] SMALLDATETIME NOT NULL,
    CONSTRAINT [PK_Message] PRIMARY KEY CLUSTERED ([Id] ASC)
);


GO
PRINT N'Creating [dbo].[MessageFolder]...';


GO
CREATE TABLE [dbo].[MessageFolder] (
    [Id]                INT           IDENTITY (1, 1) NOT NULL,
    [MessageId]         INT           NOT NULL,
    [FolderId]          INT           NOT NULL,
    [IsFlagged]         BIT           NOT NULL,
    [HasRead]           BIT           NOT NULL,
    [EffectiveDateTime] SMALLDATETIME NOT NULL,
    [ExpiryDateTime]    SMALLDATETIME NOT NULL,
    [Version]           ROWVERSION    NOT NULL,
    CONSTRAINT [PK_MessageFolder] PRIMARY KEY CLUSTERED ([Id] ASC)
);


GO
PRINT N'Creating [dbo].[MessageFolder].[IX_MessageFolder_MessageId]...';


GO
CREATE NONCLUSTERED INDEX [IX_MessageFolder_MessageId]
    ON [dbo].[MessageFolder]([MessageId] ASC);


GO
PRINT N'Creating [dbo].[MessageFolder].[IX_MessageFolder_FolderId]...';


GO
CREATE NONCLUSTERED INDEX [IX_MessageFolder_FolderId]
    ON [dbo].[MessageFolder]([FolderId] ASC);


GO
PRINT N'Creating [dbo].[MessageRecipient]...';


GO
CREATE TABLE [dbo].[MessageRecipient] (
    [Id]          INT IDENTITY (1, 1) NOT NULL,
    [TypeId]      INT NOT NULL,
    [PrincipalId] INT NOT NULL,
    CONSTRAINT [PK_MessageRecipient] PRIMARY KEY CLUSTERED ([Id] ASC)
);


GO
PRINT N'Creating [dbo].[MessageRecipientType]...';


GO
CREATE TABLE [dbo].[MessageRecipientType] (
    [Id]        INT          IDENTITY (1, 1) NOT NULL,
    [MessageId] INT          NOT NULL,
    [TypeId]    NVARCHAR (3) NOT NULL,
    CONSTRAINT [PK_MessageRecipientType] PRIMARY KEY CLUSTERED ([Id] ASC)
);


GO
PRINT N'Creating [dbo].[MessageSharePointAttachment]...';


GO
CREATE TABLE [dbo].[MessageSharePointAttachment] (
    [SharePointAttachmentId] INT NOT NULL,
    [MessageId]              INT NOT NULL,
    CONSTRAINT [PK_MessageSharePointAttachment] PRIMARY KEY CLUSTERED ([SharePointAttachmentId] ASC)
);


GO
PRINT N'Creating [dbo].[Note]...';


GO
CREATE TABLE [dbo].[Note] (
    [Id]           INT            IDENTITY (1, 1) NOT NULL,
    [OwnerId]      INT            NOT NULL,
    [Title]        VARCHAR (200)  NOT NULL,
    [Description]  VARCHAR (4000) NULL,
    [IsDeleted]    BIT            NOT NULL,
    [LastModified] SMALLDATETIME  NOT NULL,
    [Version]      ROWVERSION     NOT NULL,
    CONSTRAINT [PK_Note] PRIMARY KEY CLUSTERED ([Id] ASC)
);


GO
PRINT N'Creating [dbo].[NoteSharePointAttachment]...';


GO
CREATE TABLE [dbo].[NoteSharePointAttachment] (
    [SharePointAttachmentId] INT NOT NULL,
    [NoteId]                 INT NOT NULL,
    CONSTRAINT [PK_NoteSharePointAttachment] PRIMARY KEY CLUSTERED ([SharePointAttachmentId] ASC)
);


GO
PRINT N'Creating [dbo].[NotificationConfiguration]...';


GO
CREATE TABLE [dbo].[NotificationConfiguration] (
    [Id]                      INT              IDENTITY (1, 1) NOT NULL,
    [ClientId]                UNIQUEIDENTIFIER NOT NULL,
    [NotificationTemplateId]  INT              NOT NULL,
    [AreNotificationsEnabled] BIT              NOT NULL,
    [NotificationFrom]        VARCHAR (200)    NULL,
    [NotificationSubject]     VARCHAR (200)    NULL,
    [ModifiedById]            INT              NULL,
    [EffectiveDateTime]       SMALLDATETIME    NOT NULL,
    [ExpiryDateTime]          SMALLDATETIME    NOT NULL,
    [Version]                 ROWVERSION       NOT NULL,
    CONSTRAINT [PK_NotificationConfiguration] PRIMARY KEY CLUSTERED ([Id] ASC, [ClientId] ASC)
);


GO
PRINT N'Creating [dbo].[NotificationTemplate]...';


GO
CREATE TABLE [dbo].[NotificationTemplate] (
    [Id]           INT              IDENTITY (1, 1) NOT NULL,
    [ClientId]     UNIQUEIDENTIFIER NOT NULL,
    [HtmlTemplate] VARCHAR (MAX)    NULL,
    [Title]        VARCHAR (200)    NOT NULL,
    [CanDelete]    BIT              NOT NULL,
    [LastModified] SMALLDATETIME    NOT NULL,
    [Version]      ROWVERSION       NOT NULL,
    CONSTRAINT [PK_NotificationTemplate] PRIMARY KEY CLUSTERED ([Id] ASC)
);


GO
PRINT N'Creating [dbo].[Principal]...';


GO
CREATE TABLE [dbo].[Principal] (
    [Id]           INT              IDENTITY (1, 1) NOT NULL,
    [ClientId]     UNIQUEIDENTIFIER NOT NULL,
    [IsActive]     BIT              NOT NULL,
    [ModifiedById] INT              NULL,
    [LastModified] SMALLDATETIME    NOT NULL,
    [Version]      ROWVERSION       NOT NULL,
    [Type]         NCHAR (1)        NOT NULL,
    CONSTRAINT [PK_Principal] PRIMARY KEY CLUSTERED ([Id] ASC)
);


GO
PRINT N'Creating [dbo].[QuotaConfiguration]...';


GO
CREATE TABLE [dbo].[QuotaConfiguration] (
    [Id]                   INT              IDENTITY (1, 1) NOT NULL,
    [ClientId]             UNIQUEIDENTIFIER NOT NULL,
    [AreUserQuotasEnabled] BIT              NOT NULL,
    [QuotaLimit]           INT              NOT NULL,
    [ModifiedById]         INT              NULL,
    [EffectiveDateTime]    SMALLDATETIME    NOT NULL,
    [ExpiryDateTime]       SMALLDATETIME    NOT NULL,
    [Version]              ROWVERSION       NOT NULL,
    CONSTRAINT [PK_QuotaConfiguration] PRIMARY KEY CLUSTERED ([Id] ASC)
);


GO
PRINT N'Creating [dbo].[SharePointAttachment]...';


GO
CREATE TABLE [dbo].[SharePointAttachment] (
    [Id]       INT              IDENTITY (1, 1) NOT NULL,
    [Title]    VARCHAR (100)    NULL,
    [SiteGuid] UNIQUEIDENTIFIER NOT NULL,
    [WebGuid]  UNIQUEIDENTIFIER NOT NULL,
    [ListGuid] UNIQUEIDENTIFIER NOT NULL,
    [ItemGuid] UNIQUEIDENTIFIER NOT NULL,
    CONSTRAINT [PK_SharePointAttachment] PRIMARY KEY CLUSTERED ([Id] ASC)
);


GO
PRINT N'Creating [dbo].[SmtpServerConfiguration]...';


GO
CREATE TABLE [dbo].[SmtpServerConfiguration] (
    [Id]                  INT              IDENTITY (1, 1) NOT NULL,
    [ClientId]            UNIQUEIDENTIFIER NOT NULL,
    [IsSmtpAuthAnonymous] BIT              NOT NULL,
    [SmtpServer]          NVARCHAR (100)   NULL,
    [SmtpLogin]           NVARCHAR (100)   NULL,
    [SmtpPassword]        NVARCHAR (250)   NULL,
    [Port]                INT              NULL,
    [ModifiedById]        INT              NULL,
    [EffectiveDateTime]   SMALLDATETIME    NOT NULL,
    [ExpiryDateTime]      SMALLDATETIME    NOT NULL,
    [Version]             ROWVERSION       NOT NULL,
    CONSTRAINT [PK_SmtpServerConfiguration] PRIMARY KEY CLUSTERED ([Id] ASC)
);


GO
PRINT N'Creating unnamed constraint on [dbo].[MessageFolder]...';


GO
ALTER TABLE [dbo].[MessageFolder]
    ADD DEFAULT ('2039-06-06 23:59:00') FOR [ExpiryDateTime];


GO
PRINT N'Creating unnamed constraint on [dbo].[MessageFolder]...';


GO
ALTER TABLE [dbo].[MessageFolder]
    ADD DEFAULT (getdate()) FOR [EffectiveDateTime];


GO
PRINT N'Creating Full-text Index on [dbo].[Message]...';


GO
CREATE FULLTEXT INDEX ON [dbo].[Message]
    ([Subject] LANGUAGE 1033, [Body] LANGUAGE 1033)
    KEY INDEX [PK_Message]
    ON [EasyBoxDefaultCatalog];


GO
PRINT N'Creating Full-text Index on [dbo].[Note]...';


GO
CREATE FULLTEXT INDEX ON [dbo].[Note]
    ([Title] LANGUAGE 1033, [Description] LANGUAGE 1033)
    KEY INDEX [PK_Note]
    ON [EasyBoxDefaultCatalog];


GO
PRINT N'Creating [dbo].[FK_DeliveryReport_MessageSharePointAttachment]...';


GO
ALTER TABLE [dbo].[DeliveryReport]
    ADD CONSTRAINT [FK_DeliveryReport_MessageSharePointAttachment] FOREIGN KEY ([AttachmentId]) REFERENCES [dbo].[MessageSharePointAttachment] ([SharePointAttachmentId]);


GO
PRINT N'Creating [dbo].[FK_DeliveryReport_Message]...';


GO
ALTER TABLE [dbo].[DeliveryReport]
    ADD CONSTRAINT [FK_DeliveryReport_Message] FOREIGN KEY ([MessageId]) REFERENCES [dbo].[Message] ([Id]);


GO
PRINT N'Creating [dbo].[FK_DistributionList_Principal]...';


GO
ALTER TABLE [dbo].[DistributionList]
    ADD CONSTRAINT [FK_DistributionList_Principal] FOREIGN KEY ([Id]) REFERENCES [dbo].[Principal] ([Id]);


GO
PRINT N'Creating [dbo].[FK_DistributionListConfiguration_ClientInformation]...';


GO
ALTER TABLE [dbo].[DistributionListConfiguration]
    ADD CONSTRAINT [FK_DistributionListConfiguration_ClientInformation] FOREIGN KEY ([ClientId]) REFERENCES [dbo].[ClientInformation] ([Id]);


GO
PRINT N'Creating [dbo].[FK_DistributionListMember_DistributionList]...';


GO
ALTER TABLE [dbo].[DistributionListMember]
    ADD CONSTRAINT [FK_DistributionListMember_DistributionList] FOREIGN KEY ([DistributionListId]) REFERENCES [dbo].[DistributionList] ([Id]);


GO
PRINT N'Creating [dbo].[FK_FolderTemporal_Folder]...';


GO
ALTER TABLE [dbo].[FolderTemporal]
    ADD CONSTRAINT [FK_FolderTemporal_Folder] FOREIGN KEY ([FolderId]) REFERENCES [dbo].[Folder] ([Id]);


GO
PRINT N'Creating [dbo].[FK_GeneralConfiguration_ClientInformation]...';


GO
ALTER TABLE [dbo].[GeneralConfiguration]
    ADD CONSTRAINT [FK_GeneralConfiguration_ClientInformation] FOREIGN KEY ([ClientId]) REFERENCES [dbo].[ClientInformation] ([Id]);


GO
PRINT N'Creating [dbo].[FK_MessageFolder_Message]...';


GO
ALTER TABLE [dbo].[MessageFolder]
    ADD CONSTRAINT [FK_MessageFolder_Message] FOREIGN KEY ([MessageId]) REFERENCES [dbo].[Message] ([Id]);


GO
PRINT N'Creating [dbo].[FK_MessageFolder_Folder]...';


GO
ALTER TABLE [dbo].[MessageFolder]
    ADD CONSTRAINT [FK_MessageFolder_Folder] FOREIGN KEY ([FolderId]) REFERENCES [dbo].[Folder] ([Id]);


GO
PRINT N'Creating [dbo].[FK_MessageRecipient_MessageRecipientType]...';


GO
ALTER TABLE [dbo].[MessageRecipient]
    ADD CONSTRAINT [FK_MessageRecipient_MessageRecipientType] FOREIGN KEY ([TypeId]) REFERENCES [dbo].[MessageRecipientType] ([Id]);


GO
PRINT N'Creating [dbo].[FK_MessageRecipient_Principal]...';


GO
ALTER TABLE [dbo].[MessageRecipient]
    ADD CONSTRAINT [FK_MessageRecipient_Principal] FOREIGN KEY ([PrincipalId]) REFERENCES [dbo].[Principal] ([Id]);


GO
PRINT N'Creating [dbo].[FK_MessageRecipientType_Message]...';


GO
ALTER TABLE [dbo].[MessageRecipientType]
    ADD CONSTRAINT [FK_MessageRecipientType_Message] FOREIGN KEY ([MessageId]) REFERENCES [dbo].[Message] ([Id]);


GO
PRINT N'Creating [dbo].[FK_MessageSharePointAttachment_SharePointAttachment]...';


GO
ALTER TABLE [dbo].[MessageSharePointAttachment]
    ADD CONSTRAINT [FK_MessageSharePointAttachment_SharePointAttachment] FOREIGN KEY ([SharePointAttachmentId]) REFERENCES [dbo].[SharePointAttachment] ([Id]);


GO
PRINT N'Creating [dbo].[FK_MessageSharePointAttachment_Message]...';


GO
ALTER TABLE [dbo].[MessageSharePointAttachment]
    ADD CONSTRAINT [FK_MessageSharePointAttachment_Message] FOREIGN KEY ([MessageId]) REFERENCES [dbo].[Message] ([Id]);


GO
PRINT N'Creating [dbo].[FK_NoteSharePointAttachment_SharePointAttachment]...';


GO
ALTER TABLE [dbo].[NoteSharePointAttachment]
    ADD CONSTRAINT [FK_NoteSharePointAttachment_SharePointAttachment] FOREIGN KEY ([SharePointAttachmentId]) REFERENCES [dbo].[SharePointAttachment] ([Id]);


GO
PRINT N'Creating [dbo].[FK_NoteSharePointAttachment_Note]...';


GO
ALTER TABLE [dbo].[NoteSharePointAttachment]
    ADD CONSTRAINT [FK_NoteSharePointAttachment_Note] FOREIGN KEY ([NoteId]) REFERENCES [dbo].[Note] ([Id]);


GO
PRINT N'Creating [dbo].[FK_NotificationConfiguration_ClientInformation]...';


GO
ALTER TABLE [dbo].[NotificationConfiguration]
    ADD CONSTRAINT [FK_NotificationConfiguration_ClientInformation] FOREIGN KEY ([ClientId]) REFERENCES [dbo].[ClientInformation] ([Id]);


GO
PRINT N'Creating [dbo].[FK_NotificationConfiguration_NotificationTemplate]...';


GO
ALTER TABLE [dbo].[NotificationConfiguration]
    ADD CONSTRAINT [FK_NotificationConfiguration_NotificationTemplate] FOREIGN KEY ([NotificationTemplateId]) REFERENCES [dbo].[NotificationTemplate] ([Id]);


GO
PRINT N'Creating [dbo].[FK_NotificationTemplate_ClientInformation]...';


GO
ALTER TABLE [dbo].[NotificationTemplate]
    ADD CONSTRAINT [FK_NotificationTemplate_ClientInformation] FOREIGN KEY ([ClientId]) REFERENCES [dbo].[ClientInformation] ([Id]);


GO
PRINT N'Creating [dbo].[FK_Principal_ClientInformation]...';


GO
ALTER TABLE [dbo].[Principal]
    ADD CONSTRAINT [FK_Principal_ClientInformation] FOREIGN KEY ([ClientId]) REFERENCES [dbo].[ClientInformation] ([Id]);


GO
PRINT N'Creating [dbo].[FK_QuotaConfiguration_ClientInformation]...';


GO
ALTER TABLE [dbo].[QuotaConfiguration]
    ADD CONSTRAINT [FK_QuotaConfiguration_ClientInformation] FOREIGN KEY ([ClientId]) REFERENCES [dbo].[ClientInformation] ([Id]);


GO
PRINT N'Creating [dbo].[FK_SmtpServerConfiguration_ModifiedBy]...';


GO
ALTER TABLE [dbo].[SmtpServerConfiguration]
    ADD CONSTRAINT [FK_SmtpServerConfiguration_ModifiedBy] FOREIGN KEY ([ClientId]) REFERENCES [dbo].[ClientInformation] ([Id]);


GO
PRINT N'Creating [dbo].[CalculateMemberCount]...';


GO
-- =============================================
-- Author:		<Author,,Name>
-- Create date: <Create Date, ,>
-- Description:	<Description, ,>
-- =============================================
CREATE FUNCTION [dbo].[CalculateMemberCount] 
(
	-- Add the parameters for the function here
	@distributionListId int
)
RETURNS int
AS
BEGIN
	-- Declare the return variable here
	DECLARE @memberCount int

	-- Add the T-SQL statements to compute the return value here
	SET @memberCount = 
	(
		SELECT COUNT(*) FROM DistributionListMember
		WHERE DistributionListMember.DistributionListId = @distributionListId AND DistributionListMember.ExpiryDateTime = '2039-06-06 23:59:00'
	);
	IF(@memberCount IS NULL)
		SET @memberCount = 0;

	-- Return the result of the function
	RETURN @memberCount;

END
GO
PRINT N'Creating [dbo].[CalculateQuotaUsed]...';


GO
-- =============================================
-- Author:		<Author,,Name>
-- Create date: <Create Date, ,>
-- Description:	<Description, ,>
-- =============================================
CREATE FUNCTION [dbo].[CalculateQuotaUsed] 
(
	-- Add the parameters for the function here
	@userId int
)
RETURNS int
AS
BEGIN
	-- Declare the return variable here
	DECLARE @quotaUsed int

	-- Add the T-SQL statements to compute the return value here
	SET @quotaUsed = 
	(
		SELECT SUM(2 * LEN(Message.Body)) FROM Message
		INNER JOIN MessageFolder ON Message.Id = MessageFolder.MessageId
		INNER JOIN FolderTemporal ON MessageFolder.FolderId = FolderTemporal.FolderId
		WHERE FolderTemporal.OwnerId = @userId AND FolderTemporal.ExpiryTime = '2039-06-06 23:59:00'
		AND MessageFolder.ExpiryDateTime = '2039-06-06 23:59:00'
	);
	IF(@quotaUsed IS NULL)
		SET @quotaUsed = 0;

	-- Return the result of the function
	RETURN @quotaUsed

END
GO
PRINT N'Creating [dbo].[DistributionListTemporal]...';


GO
CREATE TABLE [dbo].[DistributionListTemporal] (
    [Id]                 INT            IDENTITY (1, 1) NOT NULL,
    [DistributionListId] INT            NOT NULL,
    [TypeId]             INT            NOT NULL,
    [OwnerId]            INT            NOT NULL,
    [Name]               VARCHAR (100)  NOT NULL,
    [Description]        VARCHAR (1000) NULL,
    [MemberCount]        AS             ([dbo].[CalculateMemberCount]([DistributionListId])),
    [ModifiedById]       INT            NULL,
    [EffectiveDateTime]  SMALLDATETIME  NOT NULL,
    [ExpiryDateTime]     SMALLDATETIME  NOT NULL,
    [Version]            ROWVERSION     NOT NULL,
    CONSTRAINT [PK_DistributionListTemporal] PRIMARY KEY CLUSTERED ([Id] ASC)
);


GO
PRINT N'Creating [dbo].[User]...';


GO
CREATE TABLE [dbo].[User] (
    [Id]                             INT            NOT NULL,
    [LoginName]                      NVARCHAR (255) NOT NULL,
    [Email]                          VARCHAR (150)  NULL,
    [FirstName]                      VARCHAR (50)   NULL,
    [LastName]                       VARCHAR (50)   NULL,
    [CommonName]                     VARCHAR (100)  NULL,
    [IsAdmin]                        BIT            NOT NULL,
    [QuotaUsed]                      AS             ([dbo].[CalculateQuotaUsed]([Id])),
    [QuotaLimit]                     INT            NULL,
    [IsNotificationEnabled]          BIT            NOT NULL,
    [DefaultToApplicationCommonData] BIT            NOT NULL,
    CONSTRAINT [PK_User] PRIMARY KEY NONCLUSTERED ([Id] ASC)
);


GO
PRINT N'Creating [dbo].[User].[UX_User_LoginName]...';


GO
CREATE UNIQUE CLUSTERED INDEX [UX_User_LoginName]
    ON [dbo].[User]([LoginName] ASC);


GO
PRINT N'Creating [dbo].[CalculateQuotaPercentage]...';


GO

-- =============================================
-- Author:		<Author,,Name>
-- Create date: <Create Date, ,>
-- Description:	<Description, ,>
-- =============================================
CREATE FUNCTION [dbo].[CalculateQuotaPercentage] 
(
	-- Add the parameters for the function here
	@ClientId uniqueidentifier,
	@UserId	  int
)
RETURNS float
AS
BEGIN
	-- Declare the return variable here
	DECLARE @QuotaPercentage float;
	DECLARE @QuotaLimit int;
	DECLARE @QuotaUsed int;
	DECLARE @QuotaEnforced bit;
	
	(SELECT @QuotaUsed = QuotaUsed, @QuotaLimit = QuotaLimit
	FROM [User] INNER JOIN [Principal] ON
	[User].Id = [Principal].Id
	WHERE [User].Id = @UserId AND [Principal].ClientId = @ClientId);
	
	IF(@QuotaUsed IS NULL)
	BEGIN
		SET @QuotaUsed = 0;
	END
		
	IF(@QuotaLimit IS NULL)
	BEGIN
		SELECT @QuotaEnforced = AreUserQuotasEnabled, @QuotaLimit = QuotaLimit
		FROM QuotaConfiguration
		WHERE ExpiryDateTime = '2039-06-06 23:59:00' AND ClientId = @ClientId;
	END
	
	IF(@QuotaEnforced = 0)
	BEGIN
		SET @QuotaPercentage = NULL;
	END
	
	ELSE
	BEGIN
		SET @QuotaPercentage = (CONVERT(FLOAT, @QuotaUsed) / CONVERT(FLOAT, @QuotaLimit));
	END
		
	-- Return the result of the function
	RETURN @QuotaPercentage

END
GO
PRINT N'Creating [dbo].[FK_DeliveryReport_User]...';


GO
ALTER TABLE [dbo].[DeliveryReport]
    ADD CONSTRAINT [FK_DeliveryReport_User] FOREIGN KEY ([UserId]) REFERENCES [dbo].[User] ([Id]);


GO
PRINT N'Creating [dbo].[FK_DistributionListConfiguration_ModifiedBy]...';


GO
ALTER TABLE [dbo].[DistributionListConfiguration]
    ADD CONSTRAINT [FK_DistributionListConfiguration_ModifiedBy] FOREIGN KEY ([ModifiedById]) REFERENCES [dbo].[User] ([Id]);


GO
PRINT N'Creating [dbo].[FK_DistributionListMember_User]...';


GO
ALTER TABLE [dbo].[DistributionListMember]
    ADD CONSTRAINT [FK_DistributionListMember_User] FOREIGN KEY ([UserId]) REFERENCES [dbo].[User] ([Id]);


GO
PRINT N'Creating [dbo].[FK_DistributionListMember_ModifiedBy]...';


GO
ALTER TABLE [dbo].[DistributionListMember]
    ADD CONSTRAINT [FK_DistributionListMember_ModifiedBy] FOREIGN KEY ([ModifiedById]) REFERENCES [dbo].[User] ([Id]);


GO
PRINT N'Creating [dbo].[FK_DistributionListTemporal_Owner]...';


GO
ALTER TABLE [dbo].[DistributionListTemporal]
    ADD CONSTRAINT [FK_DistributionListTemporal_Owner] FOREIGN KEY ([OwnerId]) REFERENCES [dbo].[User] ([Id]);


GO
PRINT N'Creating [dbo].[FK_DistributionListTemporal_DistributionList]...';


GO
ALTER TABLE [dbo].[DistributionListTemporal]
    ADD CONSTRAINT [FK_DistributionListTemporal_DistributionList] FOREIGN KEY ([DistributionListId]) REFERENCES [dbo].[DistributionList] ([Id]);


GO
PRINT N'Creating [dbo].[FK_DistributionListTemporal_ModifiedBy]...';


GO
ALTER TABLE [dbo].[DistributionListTemporal]
    ADD CONSTRAINT [FK_DistributionListTemporal_ModifiedBy] FOREIGN KEY ([ModifiedById]) REFERENCES [dbo].[User] ([Id]);


GO
PRINT N'Creating [dbo].[FK_DistributionListTemporal_DistributionListType]...';


GO
ALTER TABLE [dbo].[DistributionListTemporal]
    ADD CONSTRAINT [FK_DistributionListTemporal_DistributionListType] FOREIGN KEY ([TypeId]) REFERENCES [dbo].[DistributionListType] ([Id]);


GO
PRINT N'Creating [dbo].[FK_FolderTemporal_ModifiedBy]...';


GO
ALTER TABLE [dbo].[FolderTemporal]
    ADD CONSTRAINT [FK_FolderTemporal_ModifiedBy] FOREIGN KEY ([ModifiedById]) REFERENCES [dbo].[User] ([Id]);


GO
PRINT N'Creating [dbo].[FK_FolderTemporal_Owner]...';


GO
ALTER TABLE [dbo].[FolderTemporal]
    ADD CONSTRAINT [FK_FolderTemporal_Owner] FOREIGN KEY ([OwnerId]) REFERENCES [dbo].[User] ([Id]);


GO
PRINT N'Creating [dbo].[FK_GeneralConfiguration_ModifiedBy]...';


GO
ALTER TABLE [dbo].[GeneralConfiguration]
    ADD CONSTRAINT [FK_GeneralConfiguration_ModifiedBy] FOREIGN KEY ([ModifiedById]) REFERENCES [dbo].[User] ([Id]);


GO
PRINT N'Creating [dbo].[FK_Message_Sender]...';


GO
ALTER TABLE [dbo].[Message]
    ADD CONSTRAINT [FK_Message_Sender] FOREIGN KEY ([SenderId]) REFERENCES [dbo].[User] ([Id]);


GO
PRINT N'Creating [dbo].[FK_Note_User]...';


GO
ALTER TABLE [dbo].[Note]
    ADD CONSTRAINT [FK_Note_User] FOREIGN KEY ([OwnerId]) REFERENCES [dbo].[User] ([Id]);


GO
PRINT N'Creating [dbo].[FK_NotificationConfiguration_ModifiedBy]...';


GO
ALTER TABLE [dbo].[NotificationConfiguration]
    ADD CONSTRAINT [FK_NotificationConfiguration_ModifiedBy] FOREIGN KEY ([ModifiedById]) REFERENCES [dbo].[User] ([Id]);


GO
PRINT N'Creating [dbo].[FK_Principal_ModifiedBy]...';


GO
ALTER TABLE [dbo].[Principal]
    ADD CONSTRAINT [FK_Principal_ModifiedBy] FOREIGN KEY ([ModifiedById]) REFERENCES [dbo].[User] ([Id]);


GO
PRINT N'Creating [dbo].[FK_QuotaConfiguration_ModifiedBy]...';


GO
ALTER TABLE [dbo].[QuotaConfiguration]
    ADD CONSTRAINT [FK_QuotaConfiguration_ModifiedBy] FOREIGN KEY ([ModifiedById]) REFERENCES [dbo].[User] ([Id]);


GO
PRINT N'Creating [dbo].[FK_SmtpServerConfiguration_User]...';


GO
ALTER TABLE [dbo].[SmtpServerConfiguration]
    ADD CONSTRAINT [FK_SmtpServerConfiguration_User] FOREIGN KEY ([ModifiedById]) REFERENCES [dbo].[User] ([Id]);


GO
PRINT N'Creating [dbo].[FK_User_Principal]...';


GO
ALTER TABLE [dbo].[User]
    ADD CONSTRAINT [FK_User_Principal] FOREIGN KEY ([Id]) REFERENCES [dbo].[Principal] ([Id]);


GO
PRINT N'Creating Full-text Index on [dbo].[DistributionListTemporal]...';


GO
CREATE FULLTEXT INDEX ON [dbo].[DistributionListTemporal]
    ([Name] LANGUAGE 1033, [Description] LANGUAGE 1033)
    KEY INDEX [PK_DistributionListTemporal]
    ON [EasyBoxDefaultCatalog];


GO
PRINT N'Creating Full-text Index on [dbo].[User]...';


GO
CREATE FULLTEXT INDEX ON [dbo].[User]
    ([LoginName] LANGUAGE 1033, [Email] LANGUAGE 1033, [FirstName] LANGUAGE 1033, [LastName] LANGUAGE 1033, [CommonName] LANGUAGE 1033)
    KEY INDEX [PK_User]
    ON [EasyBoxDefaultCatalog];


GO
PRINT N'Creating [dbo].[MessageFolderReport]...';


GO
CREATE VIEW dbo.MessageFolderReport
AS
SELECT     dbo.MessageFolder.Id, dbo.MessageFolder.FolderId, dbo.MessageFolder.MessageId, 2 * LEN(dbo.Message.Body) AS Size, dbo.MessageFolder.EffectiveDateTime, 
                      dbo.MessageFolder.ExpiryDateTime
FROM         dbo.Message INNER JOIN
                      dbo.MessageFolder ON dbo.Message.Id = dbo.MessageFolder.MessageId
GO
PRINT N'Creating [dbo].[UserReport]...';


GO
CREATE VIEW dbo.UserReport
AS
SELECT     dbo.[User].Id, dbo.[User].LoginName, dbo.[User].CommonName, dbo.[User].QuotaUsed, dbo.[User].QuotaLimit, dbo.CalculateQuotaPercentage(Principal_1.ClientId, 
                      dbo.[User].Id) AS QuotaPercentage,
                          (SELECT     COUNT(DISTINCT dbo.MessageFolderReport.MessageId) AS Expr1
                            FROM          dbo.MessageFolderReport INNER JOIN
                                                   dbo.FolderTemporal ON dbo.MessageFolderReport.FolderId = dbo.FolderTemporal.FolderId INNER JOIN
                                                   dbo.[Principal] ON dbo.FolderTemporal.OwnerId = dbo.[Principal].Id
                            WHERE      (dbo.[Principal].Id = dbo.[User].Id) AND (dbo.FolderTemporal.Name = 'Inbox')) AS MessageReceivedCount,
                          (SELECT     COUNT(SenderId) AS Expr1
                            FROM          dbo.Message
                            WHERE      (SenderId = dbo.[User].Id)
                            GROUP BY SenderId) AS MessageSentCount, Principal_1.ClientId
FROM         dbo.[User] INNER JOIN
                      dbo.[Principal] AS Principal_1 ON dbo.[User].Id = Principal_1.Id
GO
/*
Post-Deployment Script Template							
--------------------------------------------------------------------------------------
 This file contains SQL statements that will be appended to the build script.		
 Use SQLCMD syntax to include a file in the post-deployment script.			
 Example:      :r .\myfile.sql								
 Use SQLCMD syntax to reference a variable in the post-deployment script.		
 Example:      :setvar TableName MyTable							
               SELECT * FROM [$(TableName)]					
--------------------------------------------------------------------------------------
*/


/*
This script was created by Visual Studio on 8/20/2013 at 7:19 PM.
Run this script on (local).EDC.EasyBox.Database (LAB\administrator) to make it the same as (local).EasyBoxV1.1 (LAB\administrator).
This script performs its actions in the following order:
1. Disable foreign-key constraints.
2. Perform DELETE commands. 
3. Perform UPDATE commands.
4. Perform INSERT commands.
5. Re-enable foreign-key constraints.
Please back up your target database before running this script.
*/

BEGIN TRANSACTION GO
ALTER TABLE [dbo].[SmtpServerConfiguration] DROP CONSTRAINT [FK_SmtpServerConfiguration_ModifiedBy]
ALTER TABLE [dbo].[SmtpServerConfiguration] DROP CONSTRAINT [FK_SmtpServerConfiguration_User]
ALTER TABLE [dbo].[GeneralConfiguration] DROP CONSTRAINT [FK_GeneralConfiguration_ClientInformation]
ALTER TABLE [dbo].[GeneralConfiguration] DROP CONSTRAINT [FK_GeneralConfiguration_ModifiedBy]
ALTER TABLE [dbo].[DistributionListConfiguration] DROP CONSTRAINT [FK_DistributionListConfiguration_ClientInformation]
ALTER TABLE [dbo].[DistributionListConfiguration] DROP CONSTRAINT [FK_DistributionListConfiguration_ModifiedBy]
ALTER TABLE [dbo].[QuotaConfiguration] DROP CONSTRAINT [FK_QuotaConfiguration_ClientInformation]
ALTER TABLE [dbo].[QuotaConfiguration] DROP CONSTRAINT [FK_QuotaConfiguration_ModifiedBy]
ALTER TABLE [dbo].[NotificationConfiguration] DROP CONSTRAINT [FK_NotificationConfiguration_ClientInformation]
ALTER TABLE [dbo].[NotificationConfiguration] DROP CONSTRAINT [FK_NotificationConfiguration_NotificationTemplate]
ALTER TABLE [dbo].[NotificationConfiguration] DROP CONSTRAINT [FK_NotificationConfiguration_ModifiedBy]
ALTER TABLE [dbo].[NotificationTemplate] DROP CONSTRAINT [FK_NotificationTemplate_ClientInformation]

IF NOT EXISTS (SELECT * FROM [dbo].[NotificationTemplate] WHERE [Id] = 1)
BEGIN
SET IDENTITY_INSERT [dbo].[NotificationTemplate] ON
INSERT INTO [dbo].[NotificationTemplate] ([Id], [ClientId], [HtmlTemplate], [Title], [CanDelete], [LastModified]) VALUES (1, N'70da1e3b-9bd9-4767-bf70-610f6de761f3', N'<!DOCTYPE html><html lang="en"><head><title>EasyBox Offline Notification</title><meta charset="utf-8" /><style>              * { margin: 0; }              body { background: #EAEAEA; font-family: "Lucida Sans","sans-serif"; }              h1 { font-size: 14pt; }              h2 { font-size: 11pt; color: #7F7F7F; font-weight: normal; }              p { font-size: 10pt; color: #7F7F7F; font-weight: bold; }              table { width: 769px; margin: 20px auto; border: 1px solid #BFBFBF; }              #header { height: 32px; padding: 5px 10px 0 10px; }              #notification { background: #FFFFFF; border-top: 1px solid #BFBFBF; padding: 20px 5px; }          </style></head><body><table cellspacing="0" cellpadding="0"><tbody><tr><td id="header"><img alt="EasyBox" src="http://schemas.easydynamics.com/images/EasyBox/EasyBoxLong.png" /></td></tr><tr><td id="notification"><h1>EasyBox Offline Notification</h1><h2>Keeping you up to date!</h2></td></tr><tr><td id="notification"><p>You have a new EasyBox message on the portal. Please login to check your messages</p></td></tr></tbody></table></body></html>', N'System Template', 0, '20120929 12:00:00.000')
SET IDENTITY_INSERT [dbo].[NotificationTemplate] OFF
END

IF NOT EXISTS (SELECT * FROM [dbo].[NotificationConfiguration] WHERE [Id] = 1)
BEGIN
SET IDENTITY_INSERT [dbo].[NotificationConfiguration] ON
INSERT INTO [dbo].[NotificationConfiguration] ([Id], [ClientId], [NotificationTemplateId], [AreNotificationsEnabled], [NotificationFrom], [NotificationSubject], [ModifiedById], [EffectiveDateTime], [ExpiryDateTime]) VALUES (1, N'70da1e3b-9bd9-4767-bf70-610f6de761f3', 1, 1, N'xyz@abc.com', N'EasyBox Notification', NULL, '20120929 12:00:00.000', '20390606 23:59:00.000')
SET IDENTITY_INSERT [dbo].[NotificationConfiguration] OFF
END

IF NOT EXISTS (SELECT * FROM [dbo].[QuotaConfiguration] WHERE [Id] = 1)
BEGIN
SET IDENTITY_INSERT [dbo].[QuotaConfiguration] ON
INSERT INTO [dbo].[QuotaConfiguration] ([Id], [ClientId], [AreUserQuotasEnabled], [QuotaLimit], [ModifiedById], [EffectiveDateTime], [ExpiryDateTime]) VALUES (1, N'70da1e3b-9bd9-4767-bf70-610f6de761f3', 0, 2147483647, NULL, '20120929 12:00:00.000', '20390606 23:59:00.000')
SET IDENTITY_INSERT [dbo].[QuotaConfiguration] OFF
END

IF NOT EXISTS (SELECT * FROM [dbo].[DistributionListConfiguration] WHERE [Id] = 1)
BEGIN
SET IDENTITY_INSERT [dbo].[DistributionListConfiguration] ON
INSERT INTO [dbo].[DistributionListConfiguration] ([Id], [ClientId], [AreUserDefinedDistributionListsEnabled], [ModifiedById], [EffectiveDateTime], [ExpiryDateTime]) VALUES (1, N'70da1e3b-9bd9-4767-bf70-610f6de761f3', 1, NULL, '20120929 12:00:00.000', '20390606 23:59:00.000')
SET IDENTITY_INSERT [dbo].[DistributionListConfiguration] OFF
END

IF NOT EXISTS (SELECT * FROM [dbo].[ClientInformation] WHERE [Id] = N'70da1e3b-9bd9-4767-bf70-610f6de761f3')
BEGIN
INSERT INTO [dbo].[ClientInformation] ([Id], [Name]) VALUES (N'70da1e3b-9bd9-4767-bf70-610f6de761f3', N'EasyBox Client')
END

IF NOT EXISTS (SELECT * FROM [dbo].[GeneralConfiguration] WHERE [Id] = 1)
BEGIN
SET IDENTITY_INSERT [dbo].[GeneralConfiguration] ON
INSERT INTO [dbo].[GeneralConfiguration] ([Id], [ClientId], [DefaultEasyBoxPath], [IsBodyEncryptionEnabled], [ModifiedById], [EffectiveDateTime], [ExpiryDateTime]) VALUES (1, N'70da1e3b-9bd9-4767-bf70-610f6de761f3', N'http://easybox/easyboxcenter/', 0, NULL, '20120929 12:00:00.000', '20390606 23:59:00.000')
SET IDENTITY_INSERT [dbo].[GeneralConfiguration] OFF
END

SET IDENTITY_INSERT [dbo].[DistributionListType] ON

IF NOT EXISTS (SELECT * FROM [dbo].[DistributionListType] WHERE [Id] = 1)
BEGIN
INSERT INTO [dbo].[DistributionListType] ([Description], [Id]) VALUES (N'Global', 1)
END

IF NOT EXISTS (SELECT * FROM [dbo].[DistributionListType] WHERE [Id] = 2)
BEGIN
INSERT INTO [dbo].[DistributionListType] ([Description], [Id]) VALUES (N'Local', 2)
END

SET IDENTITY_INSERT [dbo].[DistributionListType] OFF

IF NOT EXISTS (SELECT * FROM [dbo].[SmtpServerConfiguration] WHERE [Id] = 1)
BEGIN
SET IDENTITY_INSERT [dbo].[SmtpServerConfiguration] ON
INSERT INTO [dbo].[SmtpServerConfiguration] ([Id], [ClientId], [IsSmtpAuthAnonymous], [SmtpServer], [SmtpLogin], [SmtpPassword], [Port], [ModifiedById], [EffectiveDateTime], [ExpiryDateTime]) VALUES (1, N'70da1e3b-9bd9-4767-bf70-610f6de761f3', 1, N'smtp.xyz.com', N'login', N'password', NULL, NULL, '20120929 12:00:00.000', '20390606 23:59:00.000')
SET IDENTITY_INSERT [dbo].[SmtpServerConfiguration] OFF
END

ALTER TABLE [dbo].[SmtpServerConfiguration]
    ADD CONSTRAINT [FK_SmtpServerConfiguration_ModifiedBy] FOREIGN KEY ([ClientId]) REFERENCES [dbo].[ClientInformation] ([Id])
ALTER TABLE [dbo].[SmtpServerConfiguration]
    ADD CONSTRAINT [FK_SmtpServerConfiguration_User] FOREIGN KEY ([ModifiedById]) REFERENCES [dbo].[User] ([Id])
ALTER TABLE [dbo].[GeneralConfiguration]
    ADD CONSTRAINT [FK_GeneralConfiguration_ClientInformation] FOREIGN KEY ([ClientId]) REFERENCES [dbo].[ClientInformation] ([Id])
ALTER TABLE [dbo].[GeneralConfiguration]
    ADD CONSTRAINT [FK_GeneralConfiguration_ModifiedBy] FOREIGN KEY ([ModifiedById]) REFERENCES [dbo].[User] ([Id])
ALTER TABLE [dbo].[DistributionListConfiguration]
    ADD CONSTRAINT [FK_DistributionListConfiguration_ClientInformation] FOREIGN KEY ([ClientId]) REFERENCES [dbo].[ClientInformation] ([Id])
ALTER TABLE [dbo].[DistributionListConfiguration]
    ADD CONSTRAINT [FK_DistributionListConfiguration_ModifiedBy] FOREIGN KEY ([ModifiedById]) REFERENCES [dbo].[User] ([Id])
ALTER TABLE [dbo].[QuotaConfiguration]
    ADD CONSTRAINT [FK_QuotaConfiguration_ClientInformation] FOREIGN KEY ([ClientId]) REFERENCES [dbo].[ClientInformation] ([Id])
ALTER TABLE [dbo].[QuotaConfiguration]
    ADD CONSTRAINT [FK_QuotaConfiguration_ModifiedBy] FOREIGN KEY ([ModifiedById]) REFERENCES [dbo].[User] ([Id])
ALTER TABLE [dbo].[NotificationConfiguration]
    ADD CONSTRAINT [FK_NotificationConfiguration_ClientInformation] FOREIGN KEY ([ClientId]) REFERENCES [dbo].[ClientInformation] ([Id])
ALTER TABLE [dbo].[NotificationConfiguration]
    ADD CONSTRAINT [FK_NotificationConfiguration_NotificationTemplate] FOREIGN KEY ([NotificationTemplateId]) REFERENCES [dbo].[NotificationTemplate] ([Id])
ALTER TABLE [dbo].[NotificationConfiguration]
    ADD CONSTRAINT [FK_NotificationConfiguration_ModifiedBy] FOREIGN KEY ([ModifiedById]) REFERENCES [dbo].[User] ([Id])
ALTER TABLE [dbo].[NotificationTemplate]
    ADD CONSTRAINT [FK_NotificationTemplate_ClientInformation] FOREIGN KEY ([ClientId]) REFERENCES [dbo].[ClientInformation] ([Id])
COMMIT TRANSACTION
GO

GO
DECLARE @VarDecimalSupported AS BIT;

SELECT @VarDecimalSupported = 0;

IF ((ServerProperty(N'EngineEdition') = 3)
    AND (((@@microsoftversion / power(2, 24) = 9)
          AND (@@microsoftversion & 0xffff >= 3024))
         OR ((@@microsoftversion / power(2, 24) = 10)
             AND (@@microsoftversion & 0xffff >= 1600))))
    SELECT @VarDecimalSupported = 1;

IF (@VarDecimalSupported > 0)
    BEGIN
        EXECUTE sp_db_vardecimal_storage_format N'$(DatabaseName)', 'ON';
    END


GO
PRINT N'Update complete.';


GO
